Skip to main content

Create unit

POSThttps://api.propexo.com/v1/units/

Create a unit for a property.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstring

    The Propexo unique identifier for the integration

    property_idstringrequired
    lease_period_idstring

    The Propexo unique identifier for the lease period

    bathroomsstring | nullnullable

    The number of bathrooms in the unit.

    bedroomsstring | nullnullable

    The number of bedrooms in the unit.

    citystring

    The city of the unit.

    countrystring

    The country of the unit.

    date_availablestring<date-time>

    The date that the unit becomes available

    is_furnishedboolean

    Whether the unit is furnished

    numberstring

    The unit number

    square_feetnumber

    The size of the unit in square feet.

    statestring

    The state of the unit.

    street_address_1string

    The first address line associated with the unit

    street_address_2string

    The second address line associated with the unit

    zipstring

    The zip code of the unit.

    floor_plan_codestring

    The external ID of the floor plan

    unit_type_idstring

    The external ID of the unit type

    categorystring

    The category of the unit.

    Show 2 enum values
    ResidentialCommercial
    typestring

    The type of the unit.

    Show 2 enum values
    ApartmentHouse
    namestring

    The name of the unit. Example: "Unit 3".

    abbreviationstring

    The abbreviation of the unit. Example: "UNIT3"

    address_1string

    The first address line of the unit.

    address_2string

    The second address line of the unit.

    notesstring

    Notes about the unit.

    rent_amount_market_in_centsnumber

    The market rent cost of the unit, in cents.

    intgration_idstringrequired

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/units/
curl -X POST https://api.propexo.com/v1/units/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"property_id": "string",
"intgration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}